Subject: Re: [hrpc] way forward draft-tenoever-hrpc-research - reviewers needed

From: Niels ten Oever <[email-masked]>
Date: Mon, 4 Jul 2016 23:28:11 +0200

Hi Scott,

I have been thinking a lot about your suggestions. I think the test you
have been proposing might not be applicable for a technical environment
(but am happy to be proven wrong).

I do not think we can exhaustively list and map the risks that protocols
generate in relation to rights.

I would also like to add that the test you propose is neither part nor a
requirement in for instance security considerations:
https://tools.ietf.org/html/rfc2223#section-9
https://tools.ietf.org/html/rfc3552

Similar to the guidelines on security considerations RFC3552 and the
guidelines on privacy considerations RFC6973 we've proposed vectors of
analysis and provided examples.

That these vectors might not be exhaustive and always context dependent
are for me no arguments to hold the draft back.

Furthermore I think the guidelines provide an input for discussion of
drafts during drafting phase, but also when they're discussed for review
in other WGs or later on in the IESG. Decisions and reviews are
documented (and arguments are provided), so I am not sure whether one
can say the standpoints are arbitrary, nor that the judgments are not
replicable or cannot be contested (there are processes for that, that
can get weighed by the appropriate groups). It is not like these
guidelines for considerations are applied blindly.

If I understood you incorrectly, could you perhaps illustrate the test a
bit more in the specific case of security considerations?

Best,

Niels

Niels ten Oever
Head of Digital

Article 19
www.article19.org

PGP fingerprint    8D9F C567 BEE4 A431 56C4
                   678B 08B5 A0F2 636D 68E9

On 06/27/2016 12:57 PM, Scott Craig wrote:
> Hi Niels, 
> 
> I’ve attached a document with comments on the pre-adoption draft. 
> 
> I am still hoping that someone can address the concerns I raised on the
> list about the methodology. I refer specifically to the method by which
> an architectural feature has been (or can be) claimed to 'shape the
> enabling environment' for a right. 
> 
> Raised here https://www.ietf.org/mail-archive/web/hrpc/current/msg00401.html
> here https://www.ietf.org/mail-archive/web/hrpc/current/msg00408.html
> and here https://www.ietf.org/mail-archive/web/hrpc/current/msg00417.html
> 
> Though I agree with some of your conclusions, I do not think the
> justification for the claims you have made withstands scrutiny. As a
> result it’s presently difficult to see how an engineer could justify
> giving additional attention to the features highlighted in the draft.
> 
> To re-state what I said previously:
> 
> I think the method you have described (quoted below)*_is great for
> identifying _**/_candidate features_/*. But my concern is that it’s
> insufficient to determine that a candidate feature is an enabling (or
> restricting) feature. 
> 
>     /" It is on the basis of these various case studies, elaborate
>     discussion on the mailinglist and at various IETF conferences that
>     *we came to determine whether an architectural feature* is a
>     'crucial ingredient for enabling the ability to exercise specific
>     rights’. "/
> 
> If no explicit test is applied to the candidate features
> after identification, I think this causes three problems:
> 
> (1) *Judgements* *are arbitrary    *
> 
> i.e there is no basis on which to argue that the threshold for inclusion
> was the same for one technical concept as for another. 
> 
> (2) *Judgements are not replicable. *
> 
> i.e it is not possible to claim that different authors would not have
> come to significantly different conclusions than you have.
> 
> (3) *Judgements cannot be contested  *
> 
> e.g if someone were to disagree with your contention that
> internationalisation has a bearing on the right to political
> participation, on what basis would we adjudicate who is correct?
> 
> Scott
> 
>  
> 
> On Mon, Jun 13, 2016 at 3:15 PM, Niels ten Oever <[email-masked]
> <mailto:[email-masked]>> wrote:
> 
>     Hi all,
> 
>     To create a next RG version of the draft-tenoever-hrpc-research ID, it's
>     probably good to draft a clear way forward.
> 
>     We have had some really good comments and reviews during and before the
>     call for adoption, thanks for that, but if we want to bring this further
>     we will need some more reviews.
> 
>     Two people (Shane and Giovanni) are currently testing the guidelines for
>     human rights considerations on two actual drafts, which we hope can be
>     presented in Berlin.
> 
>     Avri mentioned she had elaborate feedback on the current draft and
>     Collin Anderson mentioned he would do a review of the draft, which would
>     both be greatly appeciated.
> 
>     So now we're looking for a third and potentially fourth reviewer who
>     could review the draft in within the coming two weeks so we can create a
>     new version ahead of IETF96 in Berlin.
> 
>     What we're looking for is a review of the whole document with more or
>     less coherent notes, suggestions and/or criticisms with which we could
>     improve the document.
> 
>     Looking forward to hear from you!
> 
>     Best,
> 
>     Niels
> 
> 
>     --
>     Niels ten Oever
>     Head of Digital
> 
>     Article 19
>     www.article19.org <http://www.article19.org>
> 
>     PGP fingerprint    8D9F C567 BEE4 A431 56C4
>                        678B 08B5 A0F2 636D 68E9
> 
> 
>     _______________________________________________
>     hrpc mailing list
>     [email-masked] <mailto:[email-masked]>
>     https://www.irtf.org/mailman/listinfo/hrpc
> 
> 
> 
> 
> -- 
> 
> *Scott Craig* | Ford-Mozilla Fellow
> Center for Democracy & Technology |* cdt.org <https://cdt.org/>*
> *E:* [email-masked] <http://cdt.org/> | *D:* 1.202.407.8887
> <tel:202.407.8887> | **@scottdavidcraig
> 
> */
> /*
>

---

From: Scott Craig <[email-masked]>
Date: Wed, 6 Jul 2016 16:40:48 +0100

Hey Niels,

Thanks for this.

The fundamental issue I have is that the method you have used to claim
links between features and rights is a black box. There is no discernible
basis for the links other than your own judgement.

I don’t in any way doubt the quality of your judgement. But I struggle to
see how it provides sufficient grounds on which to expect every IETF
engineer to pay additional attention to the features in the document.

The idea of a test was simply a way to add some rigour to these claims in
order to give them some means of defence if they are challenged and some
means of adjudication if they are disputed.  Right now you are literally
just saying that you talked to some people and then you decided which
things were linked.

" It is on the basis of these various case studies, elaborate discussion on
> the mailing list and at various IETF conferences that we came to determine
> whether an architectural feature is a 'crucial ingredient for enabling the
> ability to exercise specific rights’. "

Simply saying *‘We came to determine’* as the method for determining the
central claims made in the document just isn’t good enough. You can
describe this process as  ‘proposing vectors of analysis’ if you want but
this is no more than an obfuscated synonym for authors judgement.

If I was an aircraft engineer and my colleagues informed me that the
contents of the pre-flight check had been determined by people who had
talked to aircraft engineers doing doing ‘vectors of analysis’ and that no
criteria had then been used to evaluate and prioritise what we were being
asked to check then I would be terrified for the passengers. This exercise
is no less serious and demands no less rigour.

If the point of the document is to ask engineers to give greater attention
to the architectural features it highlights then a black box judgement
cannot be a solid enough basis on which to make that request.

It would be great to know whether others think the current method is
sufficient.

Scott Craig

On Mon, Jul 4, 2016 at 10:28 PM, Niels ten Oever <[email-masked]>
wrote:

> > Raised here
> https://www.ietf.org/mail-archive/web/hrpc/current/msg00401.html
> > and here
> https://www.ietf.org/mail-archive/web/hrpc/current/msg00417.html
> >

-- 

*Scott Craig* | Ford-Mozilla Fellow
Center for Democracy & Technology |* cdt.org <https://cdt.org/>*
*E:* [email-masked] | *D:* 1.202.407.8887 | @scottdavidcraig

---

From: avri doria <[email-masked]>
Date: Wed, 6 Jul 2016 11:57:45 -0400

> It would be great to know whether others think the current method is

- Removing the proverbial co-chair hat

As I mentioned in a much earlier analysis of the document, I too feel
that the hypotheses need a more rigorous testing.  Of course and
exhaustive proof of the claims is impossible,  but an attempt to build
some rigorous test to test some of the conclusions in a falsifiable
manner would be helpful.

While the analysis done to date is good enough to motivate advocacy, I
do not believe it adequate scientific or even engineering evidenceproof.

- Replacing the proverbial hat

I too am very interested in hearing the views of others on the need to
test, and even on how such testing, if needed, could be done.  I think
it is one of the issue we will need to make an evaluation on as we move
forward with the research.

avri

---
This email has been checked for viruses by Avast antivirus software.
https://www.avast.com/antivirus